API Reference for Marketo Engage

Change Lead Program Status

POST /rest/v1/leads/programs/{programId}/status.json

Changes the program status of a list of leads in a target program. Only existing members of the program may have their status changed with this API.

Note: This endpoint has been superseded. Use Sync Program Member Status endpoint instead.

Operation ID
changeLeadProgramStatusUsingPOST
Permissions
Read-Write Lead
Request format
application/json
Returns
ResponseOfChangeLeadProgramStatusOutputData

Parameters

Path 1

programId integer (int32) required

The id of target program

Request body

application/json · required · ChangeLeadProgramStatusRequest · 3 properties

input array of LeadLookupInputData required

List of leads for input

Model LeadLookupInputData

id integer (int64) required

Unique integer id of a lead record

status string required

Program status of the record. Permissible values can be retrieve from the Get Channel by Name API for the designated program's channel

Responses

200 OK ResponseOfChangeLeadProgramStatusOutputData
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

moreResult boolean

Boolean indicating if there are more results in subsequent pages

nextPageToken string

Paging token given if the result set exceeded the allowed batch size

requestId string required

Id of the request made

result array of ChangeLeadProgramStatusOutputData required

Array of results for individual records in the operation, may be empty

Model ChangeLeadProgramStatusOutputData

id integer (int64) required

Unique integer id of a lead record

reasons array of Reason

List of reasons why an operation did not succeed. Reasons are only present in API responses and should not be submitted

Model Reason

code string required

Integer code of the reason

message string required

Message describing the reason for the status of the operation

status string required

Program status of the record. Permissible values can be retrieve from the Get Channel by Name API for the designated program's channel

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "status": "string"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results